### Virtual Method

# Gio Vfs get_file_for_path

#### Declaration

    GFile*
    get_file_for_path (
      GVfs* vfs,
      const char* path
    )

#### Description

Gets a `GFile` for `path`.

#### Parameters

`path`

  Type: `const char*`

  A string containing a VFS path.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GFile`

A `GFile`. Free the returned object with g_object_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.